/**************************************/
/* H8/3048FEEPROM񤭹ߥץ */
/* Copyleft,1999,Yukio Mituiwa        */
/**************************************/

#include "h8regdef.h"
#define IOREG(addr) (*(volatile unsigned char*)(addr))
#define IOREGW(addr) (*(volatile unsigned int*)(addr))
#define MAXADDR	0x1efff
int	writebyte(long,unsigned char);

/* ꥢݡȤ1Хɤ߹ */
int getch(void)
{
	unsigned char c;
	while(!(IOREG(SSR1) & 0x40));
	c = IOREG(RDR1);
	IOREG(SSR1) &= ~0x40;
	return (int)c;
}

/* ꥢݡȤ1ХȽ񤭹 */
void putch(int c)
{
	while(!(IOREG(SSR1) & 0x80));
	IOREG(TDR1) = c;
	IOREG(SSR1) &= ~0x80;
}

int main(void)
{
	unsigned char	c;
	long	j,addr,size;
	int	i;

	IOREG(SMR1)=0;		/*****************/
	IOREG(BRR1)=51;		/* SCI-1ν */
	IOREG(SCR1)|=0x30;	/*****************/

	while(1) {
		/* 񤭹ߥɥ쥹ɤ߹(3Х) */
		addr = 0;
		for(i = 1;i <= 3;i++) {
			addr <<= 8;
			c = (char)getch();
			addr |= (long)c;
		}

		/* ǡɤ߹(3Х) */
		size = 0;
		for(i = 1;i <= 3;i++) {
			size <<= 8;
			c = (char)getch();
			size |= (long)c;
		}

		/* EEPROM˥ǡ񤭹 */
		for(j = 0;j < size;j++) {
			c = (char)getch();
			if(addr <= MAXADDR) {
				if(writebyte(addr++,c) == -1) {
					putch('F');
				}
			}
		}
		putch('S');
	}
}
