OUTPUT_FORMAT("coff-h8300")
OUTPUT_ARCH(h8300h)
ENTRY("_start")
MEMORY
{
	ram    : o = 0xfff020, l = 0xb00
}
SECTIONS 				
{ 					
.text :	{ 					
	*(.rodata) 				
	*(.text) 				
	*(.strings)
   	 _etext = . ; 
	}  > ram
.tors : {
	___ctors = . ;
	*(.ctors)
	___ctors_end = . ;
	___dtors = . ;
	*(.dtors)
	___dtors_end = . ;
	}  > ram
.data : {
	*(.data)
	 _edata = . ; 
	}  > ram
.bss : {
	 _bss_start = . ;
	*(.bss)
	*(COMMON)
	 _end = . ;  
	}  >ram
}
