/**************************************/
/* H8/3664FEEPROM񤭹ߥץ */
/* Copyleft,2000,Yukio Mituiwa        */
/**************************************/

#include "../reg3664.h"
int	write_block(char*, char*);

/* SCIν */
void sci_init() {
	int	i;
	SMR = 0;
	BRR = 51;
	SCR3 = 0;
	for(i = 0;i < 200;i++);
	SCR3 = 0x30;
	i = SSR;
	SSR = 0x80;
}

/* ꥢݡȤɤ߹ */
int read(char *buf, int size) {
	int	i, d;

	for(i = 0;i < size;i++) {
		while(!(SSR & 0x40)) {
			if(SSR & 0x38) {
				d = SSR;
				SSR = 0x40;
				return -1;
			}
		}
		buf[i] = RDR;
	}
}

/* ꥢݡȤؽ񤭹 */
void write(char *buf, int size) {
	int	i;

	for(i = 0;i < size;i++) {
		while(!(SSR & 0x80));
		TDR = buf[i];
	}
	while(!(SSR & 0x04));
}

int main(void) {
	char	buffer[128], *addr;
	int	i, n;

	sci_init();
	while(1) {
		read(buffer, 1);		   /* 񤭹ߥХ(1Х) */
		n = (unsigned int)buffer[0] * 128;
		addr = (char*)n;
		read(buffer, 128);
		write(buffer, 128);
		n = write_block(addr, buffer); /* EEPROM˥ǡ񤭹 */
		buffer[0] = (n == 0) ? 'S' : 'F';
		write(buffer, 1);
	}
}
