/* h8reg.h : port address of internal registers */
#define FLMCR (*(volatile unsigned char *)0xffff40)
#define EBR1 (*(volatile unsigned char *)0xffff42)
#define EBR2 (*(volatile unsigned char *)0xffff43)
#define SMR0 (*(volatile unsigned char *)0xffffb0)
#define BRR0 (*(volatile unsigned char *)0xffffb1)
#define SCR0 (*(volatile unsigned char *)0xffffb2)
#define TDR0 (*(volatile unsigned char *)0xffffb3)
#define SSR0 (*(volatile unsigned char *)0xffffb4)
#define RDR0 (*(volatile unsigned char *)0xffffb5)
#define SMR1 (*(volatile unsigned char *)0xffffb8)
#define BRR1 (*(volatile unsigned char *)0xffffb9)
#define SCR1 (*(volatile unsigned char *)0xffffba)
#define TDR1 (*(volatile unsigned char *)0xffffbb)
#define SSR1 (*(volatile unsigned char *)0xffffbc)
#define RDR1 (*(volatile unsigned char *)0xffffbd)

#define P1DDR (*(volatile unsigned char *)0xffffc0)
#define P1DR (*(volatile unsigned char *)0xffffc2)
#define P2DDR (*(volatile unsigned char *)0xffffc1)
#define P2DR (*(volatile unsigned char *)0xffffc3)
#define P2PCR (*(volatile unsigned char *)0xffffd8)
#define P4DDR (*(volatile unsigned char *)0xffffc5)
#define P4DR (*(volatile unsigned char *)0xffffc7)
#define P4PCR (*(volatile unsigned char *)0xffffda)
#define P5DDR (*(volatile unsigned char *)0xffffc8)
#define P5DR (*(volatile unsigned char *)0xffffca)
#define P8DDR (*(volatile unsigned char *)0xffffcd)
#define P8DR (*(volatile unsigned char *)0xffffcf)
#define TCNT (*(volatile unsigned short *)0xffffa8)
#define TCSR (*(volatile unsigned short *)0xffffa8)
