#include "../reg3067.h"

void init() {
	/* I/O port */
	P4DDR = 0xff;
	P9DDR = 0x30;
	/* Timer0 */
	TSNC = 0x00;
	TMDR = 0x00;
	TISRA = 0x00;
	TISRB = 0x00;
	TISRC = 0x10;
	TCNT0 = 0;
	TCR0 = 0x00;	/* clk x 8 */
	TIOR0 = 0;
	TSTR = 0x01;	/* Timer0 is on */
	asm("andc.b\t#127,ccr\n");
}

int main(void)
{
	init();
	P4DR = 0xff;
	P9DR = 0x30;
	while(1);
}

void ram_ovi0() {
	static count = 0;

	if(count >= 300) count = 0;
	if(count == 0) {
		P4DR = 0xff;
		P9DR = 0x30;
	}
	if(count == 150) P9DR = P4DR = 0x00;
	count++;
	TISRC &= ~0x01; 		/* OVF0 is clear */
}
