OUTPUT_FORMAT("coff-h8300")
OUTPUT_ARCH(h8300)
ENTRY("_start")
MEMORY
{
        vectors : o = 0x0000, l = 0x0034
	ram     : o = 0xf780, l = 0x0600
	topram  : o = 0xfd7e, l = 0x0002
}
SECTIONS 				
{ 					
.vectors : {
	/* Use something like this to place a specific function's address
	   into the vector table.
	SHORT(ABSOLUTE(_foobar)) */
	*(.vectors)
	}  > vectors
.text :	{ 					
	*(.rodata) 				
	*(.text) 				
	*(.strings)
   	 _etext = . ; 
	}  > ram
.tors : {
	___ctors = . ;
	*(.ctors)
	___ctors_end = . ;
	___dtors = . ;
	*(.dtors)
	___dtors_end = . ;
	}  > ram
.data : {
	*(.data)
	 _edata = . ; 
	}  > ram
.bss : {
	 _bss_start = . ;
	*(.bss)
	*(COMMON)
	 _end = . ;  
	}  >ram
.stack : {
	 _stack = . ; 
	*(.stack)
	}  > topram
}
