#include <stdio.h>
#include "../reg3664.h"

#define	RS	0x20
#define	RW	0x10
#define	CS	0x08
#define	D7	0x40
#define	D6	0x01
#define	D5	0x02
#define	D4	0x04
#define	D3	0x40
#define	D2	0x01
#define	D1	0x02
#define	D0	0x04
#define	NONE	0

void init() {
	PMR5 = 0x00;	/* P50-P55 I/OݡȤˤ     */
	PCR5 = 0x7f;	/* P50-P56ϡP57  */
	PCR7 = 0x00;	/* P75-P77 ϡ */
	PCR8 = 0xff;	/* P80-P87 ϡ( x 8)  */
}

void outlcd(int data) {
	static int	i;

	PDR5 = CS | data;
	for(i = 0;i < 20;i++);
	PDR5 = data;
	for(i = 0;i < 250;i++);	
}

void lcd_init() {
	static int	i;
	for(i = 0;i < 30000;i++);	
	outlcd(D5 | D4);
	for(i = 0;i < 8000;i++);	
	outlcd(D5 | D4);
	for(i = 0;i < 200;i++);	
	outlcd(D5 | D4);
	outlcd(D5);

	outlcd(D5); outlcd(D3);
	outlcd(NONE);outlcd(D3);
	outlcd(NONE);outlcd(D0);
	outlcd(NONE);outlcd(D2 | D1 | D0);

	outlcd(NONE);outlcd(D3 | D2 | D1 | D0);
}

int main(void) {
	init();
	lcd_init();

	outlcd(RS | D6);outlcd(RS | D1);
	outlcd(RS | D6);outlcd(RS | D1 | D0);
	outlcd(RS | D6);outlcd(RS | D2);
}
