/********************************/
/* H8/3664FΥץץ */
/* Copyleft,2000,Yukio Mituiwa  */
/********************************/
#include <stdio.h>
#include "../registor.h"

void init() {
	PMR1 = 0x0f;	/* P14-P17 is I/O, TxD RxD is enable */
	PCR1 = 0x00;	/* P10-P17 is output */
	PUCR1 = 0x08;	/* P10 -P17 not pull-up */
	ICCR = 0x00;	/* IIC is disable */
	PMR5 = 0x00;	/* P50-P55 is I/O */
	PCR5 = 0xc3;	/* P50,P51,P56.P57 is output, P52-P55 is input */
	PUCR5 = 0x3c;	/* P52-P55 is pull-up */
	PCR7 = 0x70;	/* P74-P76 is output */	
	PCR8 = 0xff;	/* P80-P87 is output */
}

int main(void)
{
	int	data, red;

	init();
	while(1) {
		data = ~PDR5;
		red = (data << 2) & 0xc0;
		red |= (data >> 2) & 0x03;
		PDR5 = red;
	}
}
