/* h8reg.h : port address of internal registers */
#define FLMCR (*(volatile unsigned char *)0xfff40)
#define EBR1 (*(volatile unsigned char *)0xfff42)
#define EBR2 (*(volatile unsigned char *)0xfff43)
#define SMR0 (*(volatile unsigned char *)0xfffb0)
#define BRR0 (*(volatile unsigned char *)0xfffb1)
#define SCR0 (*(volatile unsigned char *)0xfffb2)
#define TDR0 (*(volatile unsigned char *)0xfffb3)
#define SSR0 (*(volatile unsigned char *)0xfffb4)
#define RDR0 (*(volatile unsigned char *)0xfffb5)
#define SMR1 (*(volatile unsigned char *)0xfffb8)
#define BRR1 (*(volatile unsigned char *)0xfffb9)
#define SCR1 (*(volatile unsigned char *)0xfffba)
#define TDR1 (*(volatile unsigned char *)0xfffbb)
#define SSR1 (*(volatile unsigned char *)0xfffbc)
#define RDR1 (*(volatile unsigned char *)0xfffbd)

#define P4DDR (*(volatile unsigned char *)0xffffc5)
#define P4DR (*(volatile unsigned char *)0xffffc7)
#define P4PCR (*(volatile unsigned char *)0xffffda)
#define P5DDR (*(volatile unsigned char *)0xffffc8)
#define P5DR (*(volatile unsigned char *)0xffffca)
#define TCNT (*(volatile unsigned short *)0xffffa8)
#define TCSR (*(volatile unsigned short *)0xffffa8)
