/********************************/
/* H8/3067FΥץץ */
/* Copyleft,2001,Yukio Mituiwa  */
/********************************/
#include "../reg3067.h"

int main(void)
{
	P4DDR = 0xff;
	TCSR = 0x5a00; 		/* TCNT = 0 */
				/* 00111xxx  ----  TMD is enabled */
	TCSR = 0xa500 | 0x3f;	/* xxxxx111  ----  clock x 4096(0.2mS)	*/
	TCSR = 0xa500 | 0xa6;	/* 101xx111 */
	asm("andc.b\t#127,ccr\n");
	while(1);
}

#pragma interrupt
void int_wovi() {
	static count = 0, pat = 1;

	if(count >= 100000) count = 0;
	if(count == 0) {
		P4DR = pat;
		pat <<= 1;
		if(pat > 0x80) pat = 1;
	}
	count++;
	TCSR = 0x5a00; 		/* TCNT = 0 */
}
